package org.yaoqiang.bpmn.model.elements.data;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;
import org.yaoqiang.bpmn.model.elements.core.foundation.BaseElement;

/**
 * DataInputAssociations
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class DataInputAssociations extends XMLCollection {

	private static final long serialVersionUID = -3338651328601113174L;

	public DataInputAssociations(XMLElement parent) {
		super(parent, "dataInputAssociations");
	}

	public XMLElement generateNewElement() {
		DataInputAssociation dataInputAssociation = new DataInputAssociation(this);
		dataInputAssociation.setId(createId("DIA" + ((BaseElement) getParent()).getId()));
		return dataInputAssociation;
	}

	public String getElementName() {
		return "dataInputAssociation";
	}

}
