package org.yaoqiang.bpmn.model.elements.humaninteraction;

import org.yaoqiang.bpmn.model.elements.XMLCollection;
import org.yaoqiang.bpmn.model.elements.XMLElement;

/**
 * Renderings
 * 
 * @author Shi Yaoqiang(shi_yaoqiang@yahoo.com)
 */
public class Renderings extends XMLCollection {

	private static final long serialVersionUID = -4048161373247910690L;

	public Renderings(XMLElement parent) {
		super(parent, "renderings");
	}

	public XMLElement generateNewElement() {
		return new Rendering(this);
	}

	public String getElementName() {
		return "rendering";
	}
	
}
